//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace VakifDataTransferNew.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Transaction
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Transaction()
        {
            this.ManualTransactions = new HashSet<ManualTransaction>();
        }
    
        public System.Guid Id { get; set; }
        public string CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public string ModifiedBy { get; set; }
        public Nullable<System.DateTime> ModifiedDate { get; set; }
        public bool IsActive { get; set; }
        public System.Guid TypeId { get; set; }
        public Nullable<System.Guid> FromAccountId { get; set; }
        public Nullable<System.Guid> ToAccountId { get; set; }
        public Nullable<System.Guid> PersonId { get; set; }
        public Nullable<System.Guid> ServicePaymentPlanId { get; set; }
        public Nullable<System.Guid> MembershipsMonthlyFeeId { get; set; }
        public Nullable<System.Guid> RetroMonthId { get; set; }
        public Nullable<System.DateTime> PaymentDate { get; set; }
        public System.DateTime MaturityDate { get; set; }
        public string Reference { get; set; }
        public string Note { get; set; }
    
        public virtual BankAccount BankAccount { get; set; }
        public virtual BankAccount BankAccount1 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ManualTransaction> ManualTransactions { get; set; }
        public virtual Person Person { get; set; }
        public virtual ServicePayment ServicePayment { get; set; }
    }
}
